summaryrefslogtreecommitdiff
path: root/dev-ruby/sshkit/sshkit-1.21.5.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-07-05 18:29:34 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-07-05 18:29:34 +0000
commitf2977ce85e5a31b54b00b355d1a73786efd76d6e (patch)
tree93904c9119ccbc89cdc5fabcf00620eb3e076ab5 /dev-ruby/sshkit/sshkit-1.21.5.ebuild
parent1aab753a13e3cdead389c03b6b12019cd6d4d0ff (diff)
downloadsrcux-f2977ce85e5a31b54b00b355d1a73786efd76d6e.tar.gz
srcux-f2977ce85e5a31b54b00b355d1a73786efd76d6e.tar.xz
srcux-f2977ce85e5a31b54b00b355d1a73786efd76d6e.zip
Adding metadata
Diffstat (limited to 'dev-ruby/sshkit/sshkit-1.21.5.ebuild')
-rw-r--r--dev-ruby/sshkit/sshkit-1.21.5.ebuild42
1 files changed, 42 insertions, 0 deletions
diff --git a/dev-ruby/sshkit/sshkit-1.21.5.ebuild b/dev-ruby/sshkit/sshkit-1.21.5.ebuild
new file mode 100644
index 000000000000..0af20a61d7f6
--- /dev/null
+++ b/dev-ruby/sshkit/sshkit-1.21.5.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby30 ruby31 ruby32"
+
+# There are functional tests that require vagrant boxes to be set up.
+RUBY_FAKEGEM_TASK_TEST="test:units"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md FAQ.md README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="SSHKit makes it easy to write structured, testable SSH commands in Ruby"
+HOMEPAGE="https://github.com/capistrano/sshkit"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE=""
+
+ruby_add_rdepend "
+ >=dev-ruby/net-ssh-2.8.0:*
+ >=dev-ruby/net-scp-1.1.2
+"
+
+ruby_add_bdepend "test? ( dev-ruby/minitest dev-ruby/mocha )"
+
+all_ruby_prepare() {
+ sed -i -e '/bundler/I s:^:#:' Rakefile test/helper.rb || die
+ sed -e '/\(turn\|unindent\|reporters\)/I s:^:#:' \
+ -e '1irequire "pathname"' \
+ -i test/helper.rb || die
+
+ # Fix assumption about parent directory name
+ sed -i -e '/assert_match/ s/sshkit/sshkit.*/' test/unit/test_deprecation_logger.rb || die
+}
+
+each_ruby_test() {
+ # Run tests directly to avoid dependencies in the Rakefile
+ ${RUBY} -Ilib:test:. -e "Dir['test/unit/**/test*.rb'].each{|f| require f}" || die
+}